> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details about one issue

> Returns one specific issue. This includes as well the list of events for this issue.



## OpenAPI

````yaml get /issues/{issue_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /issues/{issue_id}:
    get:
      tags:
        - Issues
      summary: Get details about one issue
      description: >-
        Returns one specific issue. This includes as well the list of events for
        this issue.
      operationId: issues_get_issue
      parameters:
        - name: issue_id
          in: path
          required: true
          schema:
            type: string
            title: Issue Id
        - name: last_execution_only
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              If true, only the events related to the last execution will be
              returned in the list of events.
            default: false
            title: Last Execution Only
          description: >-
            If true, only the events related to the last execution will be
            returned in the list of events.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedIssueItem'
        '404':
          content:
            application/json:
              example:
                message: The issue does not exist.
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ExtendedIssueItem:
      properties:
        id:
          type: string
          title: Id
        consumer_id:
          type: string
          title: Consumer Id
        connection_id:
          type: string
          title: Connection Id
        integration_id:
          type: integer
          title: Integration Id
        integration_name:
          type: string
          title: Integration Name
        created_on:
          type: string
          format: date-time
          title: Created On
        updated_on:
          type: string
          format: date-time
          title: Updated On
        last_seen:
          type: string
          format: date-time
          title: Last Seen
        error:
          $ref: '#/components/schemas/ErrorInfo'
        occurrences:
          type: integer
          title: Occurrences
        level:
          $ref: '#/components/schemas/IssueLevel'
        events:
          items:
            $ref: '#/components/schemas/IssueEvent'
          type: array
          title: Events
          default: []
      type: object
      required:
        - id
        - consumer_id
        - connection_id
        - integration_id
        - integration_name
        - created_on
        - updated_on
        - last_seen
        - error
        - occurrences
        - level
      title: ExtendedIssueItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ErrorInfo:
      properties:
        error_code:
          type: string
          title: Error Code
        status:
          type: string
          title: Status
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
      type: object
      required:
        - error_code
        - status
        - title
      title: ErrorInfo
    IssueLevel:
      type: string
      enum:
        - error
        - warning
      title: IssueLevel
    IssueEvent:
      properties:
        id:
          type: string
          title: Id
        execution_id:
          type: string
          title: Execution Id
        created_on:
          type: string
          format: date-time
          title: Created On
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - id
        - execution_id
        - created_on
      title: IssueEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````